--- infinity/resource/Bcsfile.java.orig	2008-07-28 23:51:24.000000000 -0400
+++ infinity/resource/Bcsfile.java	2008-07-28 23:51:40.000000000 -0400
@@ -20,7 +20,7 @@
 import java.io.*;
 import java.util.*;
 
-public final class Bcsfile implements TextResource, Writeable, Closeable, ActionListener, ItemListener, DocumentListener
+public final class Bcsfile implements TextResource, Writeable, infinity.Closeable, ActionListener, ItemListener, DocumentListener
 {
   private final static boolean DEBUG = false;
   private static JFileChooser chooser = null;
--- infinity/util/DebugConsole.java.orig	2008-07-28 23:51:24.000000000 -0400
+++ infinity/util/DebugConsole.java	2008-07-28 23:52:01.000000000 -0400
@@ -130,9 +130,9 @@
             Object node = stack.pop();
             if (treeModel.isLeaf(node)) {
               Resource res = Factory.getFactory().getResource((ResourceEntry)node);
-              if (res instanceof Closeable) {
+              if (res instanceof infinity.Closeable) {
                 try {
-                  ((Closeable)res).close();
+                  ((infinity.Closeable)res).close();
                 } catch (Exception e) {
                   e.printStackTrace();
                 }
@@ -154,9 +154,9 @@
           progress.setMillisToDecideToPopup(100);
           for (int i = 0; i < resources.size(); i++) {
             Resource res = Factory.getFactory().getResource((ResourceEntry)resources.get(i));
-            if (res instanceof Closeable) {
+            if (res instanceof infinity.Closeable) {
               try {
-                ((Closeable)res).close();
+                ((infinity.Closeable)res).close();
               } catch (Exception e) {
                 e.printStackTrace();
               }
@@ -258,9 +258,9 @@
           }
         }
       }
-      if (resource instanceof Closeable) {
+      if (resource instanceof infinity.Closeable) {
         try {
-          ((Closeable)resource).close();
+          ((infinity.Closeable)resource).close();
         } catch (Exception e) {
           e.printStackTrace();
         }
@@ -368,9 +368,9 @@
         Factory.getFactory().getResource(entryCopy);
         baos.close();
       }
-      if (resource instanceof Closeable) {
+      if (resource instanceof infinity.Closeable) {
         try {
-          ((Closeable)resource).close();
+          ((infinity.Closeable)resource).close();
         } catch (Exception e) {
           e.printStackTrace();
         }
--- infinity/resource/Musfile.java.orig	2008-07-28 23:51:24.000000000 -0400
+++ infinity/resource/Musfile.java	2008-07-28 23:51:42.000000000 -0400
@@ -20,7 +20,7 @@
 import java.io.*;
 import java.util.ArrayList;
 
-public final class Musfile implements Closeable, TextResource, ActionListener, Writeable, ItemListener, DocumentListener
+public final class Musfile implements infinity.Closeable, TextResource, ActionListener, Writeable, ItemListener, DocumentListener
 {
   private static int lastIndex = -1;
   private final ResourceEntry entry;
--- infinity/resource/Mvefile.java.orig	2008-07-28 23:51:24.000000000 -0400
+++ infinity/resource/Mvefile.java	2008-07-28 23:51:45.000000000 -0400
@@ -15,7 +15,7 @@
 import java.awt.event.*;
 import java.io.*;
 
-public final class Mvefile implements Resource, ActionListener, Closeable
+public final class Mvefile implements Resource, ActionListener, infinity.Closeable
 {
   private final ResourceEntry entry;
   private JButton bplay, bexport;
--- infinity/resource/Textfile.java.orig	2008-07-28 23:51:24.000000000 -0400
+++ infinity/resource/Textfile.java	2008-07-28 23:51:49.000000000 -0400
@@ -21,7 +21,7 @@
 import java.util.ArrayList;
 import java.util.StringTokenizer;
 
-public final class Textfile implements TextResource, Writeable, ActionListener, ItemListener, DocumentListener, Closeable
+public final class Textfile implements TextResource, Writeable, ActionListener, ItemListener, DocumentListener, infinity.Closeable
 {
   private final ResourceEntry entry;
   private final String text;
--- infinity/resource/Wavfile.java.orig	2008-07-28 23:51:24.000000000 -0400
+++ infinity/resource/Wavfile.java	2008-07-28 23:51:46.000000000 -0400
@@ -18,7 +18,7 @@
 import java.awt.event.*;
 import java.io.*;
 
-public final class Wavfile implements Resource, ActionListener, Closeable, Runnable
+public final class Wavfile implements Resource, ActionListener, infinity.Closeable, Runnable
 {
   private final ResourceEntry entry;
   private File wavfile = null;
